#
#  createmask.cl
#

procedure      createmask( basefile, maskfile, coords )

file    basefile        {prompt = "Base zero file"}
file    maskfile        {prompt = "Output mask file"}
file    coords          {prompt = "Input coordinate list with @mark"}

struct  *list1    {mode = 'h'}
#
#
begin
        string  tmpfile1
        string  junk1
        string  tmpimage1
        string  coords1, maskfile1, basefile1
        int     i, x, y


        tmpfile1 = mktemp( "tmp_file." )

	basefile1 = basefile
	maskfile1 = maskfile
        coords1 = coords
        sections( coords1, option='fullname', > tmpfile1 )  
        list1 = tmpfile1


        tmpimage1 = mktemp( "tmp_im." )
	imcopy( basefile1, tmpimage1 )

	i=0
        while( fscan( list1, junk1 ) != EOF ){
	  print("mask=",junk1)
          imedit( tmpimage1, "", cursor=junk1, display-, radius=10+10*i, value=1, sigma=0, default="e" )
          print("i=",i)
          i=i+1 
        }
  	imcopy( tmpimage1, maskfile1) 

        imdelete( tmpimage1 )
        delete( tmpfile1,ver-,>&"dev$null" )
        bye
end



