##### SDF-NIRA Kp
set NUM=01
gawk -v ns=140729 -v n=54 'BEGIN{for(i=ns;i<ns+n;i++)printf("/data/o02151/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 6 sdfakp_$NUM
./procstd2.csh data.tbl 6 sdfakp_$NUM
./procclean.csh

set NUM=02
gawk -v ns=140810 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("/data/o02151/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfakp_$NUM
./procstd2.csh data.tbl 9 sdfakp_$NUM
./procclean.csh

set NUM=03
gawk -v ns=140921 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("/data/o02151/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfakp_$NUM
./procstd2.csh data.tbl 9 sdfakp_$NUM
./procclean.csh

set NUM=04
gawk -v ns=141029 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("/data/o02151/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfakp_$NUM
./procstd2.csh data.tbl 9 sdfakp_$NUM
./procclean.csh

set NUM=05
gawk -v ns=141139 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("/data/o02151/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfakp_$NUM
./procstd2.csh data.tbl 9 sdfakp_$NUM
./procclean.csh

#set NUM=06
#gawk -v ns=141506 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("/data/o02151/OHSA%08d.fits\n",i)}' > data.tbl 
#./procstd1.csh data.tbl 9 sdfakp_$NUM
#./procstd2.csh data.tbl 9 sdfakp_$NUM
#./procclean.csh

cat <<EOF > tmp.off
  159.98  326.15
 166.14  326.29 
 159.95  323.46 
 156.32  294.00 
 156.00  336.10 
 118.89  356.67
EOF
cat <<EOF > tmp.awk
{
 print(\$1-dx,\$2-dy)
}
EOF
gawk '{printf("gawk -v dx=%s -v dy=%s -f tmp.awk RESULTS/offset.sdfakp_%02d\n",$1,$2,NR)}' tmp.off | csh > all.off
ls -1 RESULTS/sdfakp_??.?.fits > all.tbl

cat <<EOF > tmp.cl
imdel sdfakp_all
imcombine @all.tbl sdfakp_all.fits reject=sigclip  combine=average outtype=real lsigma=2 hsigma=2 offset=all.off
disp sdfakp_all.fits 1 fi+
logout
EOF

cat tmp.cl | cl
